# Amuse: amuse::Keymap Struct Reference

amuse::Keymap Struct Reference

`#include <AudioGroupPool.hpp>`

Collaboration diagram for amuse::Keymap:

## Public Attributes

int16_t | objectId
int8_t | transpose
int8_t | pan
int8_t | prioOffset
int8_t | pad [3]

## Detailed Description

Maps individual MIDI keys to sound-entity as indexed in table (macro-voice, keymap, layer)

Definition at line 70 of file AudioGroupPool.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupPool.hpp